Docs
Platform invites
GET
/platform-invites

Only the token hash is stored, so the link itself is returned once, at creation.

Requires platform_invites:read.

Authorization

bearerAuth
AuthorizationBearer <token>

API key starting with fh_

In: header

Query Parameters

profileId*string

Profile id

Match^prof_[0-9a-fA-F]{32}$
platform?string

Platform id. Publishing works on tiktok, instagram, linkedin, twitter, bluesky, pinterest today; the others are planned

Value in"twitter" | "linkedin" | "instagram" | "facebook" | "tiktok" | "youtube" | "threads" | "bluesky" | "pinterest"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://feedhorizon.com/api/v1/platform-invites?profileId=prof_0195f0a27b3c7d4e8f5a1b2c3d4e5f60"
{
  "data": [
    {
      "id": "inv_0195f0a27b3c7d4e8f5a1b2c3d4e5f60",
      "profileId": "prof_0195f0a27b3c7d4e8f5a1b2c3d4e5f60",
      "platform": "twitter",
      "createdAt": "2019-08-24T14:15:22Z",
      "expiresAt": "2019-08-24T14:15:22Z",
      "usedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "details": [
      {
        "param": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "docUrl": "http://example.com",
    "requestId": "string"
  }
}